Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG draft

From: "Dinesh Mohan" <[email-masked]>
Date: Wed, 9 Jul 2008 18:59:57 -0400

Problem is that we cannot be making arbitrary decisions, nabil captured clearly what has transpired so far, no point pretending to ignore it. This is what I mean by process and wg decision vs individual ones.

The timeline proposed by you is not sufficient for any sensible review. The authors have spend considerable efforts in this update based on decision last time around (do not really understand you comment on expired draft, but I will ignore that since it is not relevant).

I am not sure if there is any consensus on merging at this stage. 

It does not appear that anyone has issues with the content or relevance of draft-mohan. So let's us come back to the question regarding working group draft. Merging if at all agreed needs to happen later. For the current round seems like there is sufficient support for WG document.

Hopefully chairs will express their take as well.

Dinesh
------Original Message------
From: Luca Martini
To: Dinesh Mohan
Cc: Monique-Jean Morrow1
Cc: PWE3
Cc: Stewart Bryant
Sent: Jul 9, 2008 6:43 PM
Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG draft

Dinesh Mohan wrote:
> Luca,
>
> Where is what you said in the last meeting reflected? Where was the
> agreement reached? I am sure I was attending the same meeting, or wasn't
> I.
>
> I repeat this is news to me still and I am sure is for others as well. I
> have no recollection of this from the pwe3 meeting and also we
> summarized the same in the FYI presentation in L2VPN which is also
> reflected in the minutes in both groups.
>
> I do not understand this sudden change in stance. In any case, I and
> possibly others do not appreciate your sidelining the entire
> discussion/agreement in the meeting and insisting on your position.
>
> Hopefully we can restore some sanity here!!!!
>
>   
Well , What is the problem here ?
The msg map document clearly needs new attention. We want to avoid 
another fiasco like in the VCCV document case.
It seems your document expired, and there was clear consensus that the 
ethernet part needs to be included in the PWE3 specifications.

So if we want to avoid another fiasco , like in the VCCV document case, 
Let's stop calling for LCs just to get the document off the list , and 
let's work on actually finishing to write the Message mapping draft.

If you want to review and edit it before we send this revision, I can 
send you the source tomorrow night. ( I need it back by Saturday afternoon )

Luca

> ---
> Dinesh
>
> -----Original Message-----
> From: Luca Martini [mailto:[email-masked]] 
> Sent: Wednesday, July 09, 2008 5:16 PM
> To: Mohan, Dinesh (CAR:NP02)
> Cc: Thomas Nadeau; Stewart Bryant; pwe3 pwe3; Monique-Jean Morrow1
> Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG draft
>
> Dinesh Mohan wrote:
>   
>> Luca,
>>
>> This is certainly a news to me!!! Is this already a foregone 
>> conclusion
>> - where is the process????
>>
>> I, and so will other authors, will certainly appreciate some sort of 
>> headup.
>>
>>   
>>     
> I said I would do this in the last IETF meeting .. it just look a bit
> too long ...
> I'm gong to take the text and put it into the msg-mapping draft.
> We can then have a discussion in Dublin, and finish it within the next
> rev.
>
> Luca
>
>
>   
>> ---
>> Dinesh
>>
>> -----Original Message-----
>> From: Luca Martini [mailto:[email-masked]]
>> Sent: Wednesday, July 09, 2008 10:04 AM
>> To: Thomas Nadeau
>> Cc: Mohan, Dinesh (CAR:NP02); Stewart Bryant; pwe3 pwe3; Monique-Jean
>> Morrow1
>> Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG 
>> draft
>>
>> Thomas Nadeau wrote:
>>   
>>     
>>>     I don't understand why. It overlaps with the draft in that area 
>>> by
>>>     
>>>       
>>   
>>     
>>> %100. Monique and Luca are doing the edits on the draft right now. 
>>> What would be a more sensible approach would be to review what they 
>>> are doing and see what doesn't overlap and make sure it goes in
>>>       
> there.
>   
>>>     
>>>       
>>   
>>     
>>> The draft is nearly ready for WG LC, so it would be more prudent to 
>>> put it there. It would also be less confusing to see another draft on
>>>       
>
>   
>>> the same topic.
>>>
>>>     
>>>       
>> I'm working on this now, I am finishing the ATm setions , then i'll 
>> include the ethernet part of this document.
>> Luca
>>
>>   
>>     
>>>     --Tom
>>>
>>>
>>>     
>>>       
>>>> Tom,
>>>>
>>>> The draft had been structured to allow integration into the 
>>>> draft-ietf-pwe3-oam-msg-map however following discussions in both
>>>> pwe3 and l2vpn WG, it was indicated that it would be worthwhile to 
>>>> progress the draft independently.
>>>>
>>>> ---
>>>> Dinesh
>>>>
>>>> -----Original Message-----
>>>> From: [email-masked] [mailto:[email-masked]] On Behalf
>>>>         
>
>   
>>>> Of Thomas Nadeau
>>>> Sent: Wednesday, July 09, 2008 8:10 AM
>>>> To: [email-masked]
>>>> Cc: pwe3
>>>> Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG 
>>>> draft
>>>>
>>>>
>>>>     How does this draft differ from
>>>> draft-ietf-pwe3-oam-msg-map-06.txt
>>>> which
>>>> is already a PWE3 WG item that is nearly complete?  It seems to me 
>>>> that after a quick read, your document is providing the ethernet 
>>>> component that was agreed to be in the mapping document.
>>>>
>>>>     --Tom
>>>>
>>>>
>>>>
>>>>       
>>>>         
>>>>> We have a request to accept MPLS and Ethernet

------Original Message Truncated------

---
Dinesh
_______________________________________________
pwe3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pwe3

---

From: Thomas Nadeau <[email-masked]>
Date: Wed, 9 Jul 2008 22:12:17 -0400

The reason the ethernet stuff was not done in the original msg map  
draft was that it was incomplete and it
was in fact taken out of the document a few revisions ago because the  
authors agreed to put out a second draft
with this information. But that was just artificial separation and  
would have resulted in an sub-optimal location of the
information. I am with Luca on this one: if we can put this together  
in one document ASAP, then that makes more sense
as its in a single place and kept consistent with the other things  
therein. There is nothing that prevents us from folding in any
diffs from draft-mohan-pwe3-mpls-eth-oam-iwk into the msg-map draft  
and wrapping things up that way.  I cannot imagine
that there is much beyond what Luca has done already anyhow.

	--Tom
> Problem is that we cannot be making arbitrary decisions, nabil  
> captured clearly what has transpired so far, no point pretending to  
> ignore it. This is what I mean by process and wg decision vs  
> individual ones.
>
> The timeline proposed by you is not sufficient for any sensible  
> review. The authors have spend considerable efforts in this update  
> based on decision last time around (do not really understand you  
> comment on expired draft, but I will ignore that since it is not  
> relevant).
>
> It does not appear that anyone has issues with the content or  
> relevance of draft-mohan. So let's us come back to the question  
> regarding working group draft. Merging if at all agreed needs to  
> happen later. For the current round seems like there is sufficient  
> support for WG document.
>

---

From: "Dinesh Mohan" <[email-masked]>
Date: Wed, 9 Jul 2008 23:14:16 -0400

Tom,
 
I think we seem to be continually ignoring what was already decided in
the last meeting, though nothing seems to have changed between then and
now. These things should have been discussed when this discussion was
occurring. 
 
As a result, significant time and effort was put in to update the draft
and address comments received.
 
I have no visibility into what Luca has done already and to be honest DO
NOT APPRECIATE in how this is being carried out - no consultations with
the authors and an arbitrary decision to fold the content at the last
minute, which further has no WG consensus. Seems to defy basic courtesy
rules. Therefore I personally do not support merging for this round. I
would be surprised if the other authors do not have a similar feeling.
 
Further, the timeline leaves no possibility for a proper review among
the authors, another reason why merging is not appropriate for this
round.

--- 
Dinesh 

________________________________

From: Thomas Nadeau [mailto:[email-masked]] 
Sent: Wednesday, July 09, 2008 10:12 PM
To: Mohan, Dinesh (CAR:NP02)
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG draft

The reason the ethernet stuff was not done in the original msg map draft
was that it was incomplete and it 
was in fact taken out of the document a few revisions ago because the
authors agreed to put out a second draft 
with this information. But that was just artificial separation and would
have resulted in an sub-optimal location of the
information. I am with Luca on this one: if we can put this together in
one document ASAP, then that makes more sense
as its in a single place and kept consistent with the other things
therein. There is nothing that prevents us from folding in any 
diffs from draft-mohan-pwe3-mpls-eth-oam-iwk into the msg-map draft and
wrapping things up that way.  I cannot imagine 
that there is much beyond what Luca has done already anyhow.

--Tom

	Problem is that we cannot be making arbitrary decisions, nabil
captured clearly what has transpired so far, no point pretending to
ignore it. This is what I mean by process and wg decision vs individual
ones.
	
	The timeline proposed by you is not sufficient for any sensible
review. The authors have spend considerable efforts in this update based
on decision last time around (do not really understand you comment on
expired draft, but I will ignore that since it is not relevant).
	
	I am not sure if there is any consensus on merging at this
stage.
	
	It does not appear that anyone has issues with the content or
relevance of draft-mohan. So let's us come back to the question
regarding working group draft. Merging if at all agreed needs to happen
later. For the current round seems like there is sufficient support for
WG document.

	Dinesh
	------Original Message------
	From: Luca Martini
	To: Dinesh Mohan
	Cc: Monique-Jean Morrow1
	Cc: PWE3
	Cc: Stewart Bryant
	Sent: Jul 9, 2008 6:43 PM
	Subject: Re: [PWE3] draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as
WG draft
	
	Well , What is the problem here ?
	The msg map document clearly needs new attention. We want to
avoid
	another fiasco like in the VCCV document case.
	It seems your document expired, and there was clear consensus
that the
	ethernet part needs to be included in the PWE3 specifications.
	
	So if we want to avoid another fiasco , like in the VCCV
document case,
	Let's stop calling for LCs just to get the document off the list
, and
	let's work on actually finishing to write the Message mapping
draft.
	
	If you want to review and edit it before we send this revision,
I can
	send you the source tomorrow night. ( I need it back by Saturday
afternoon )
	
	Luca
	
	>>>> Subject: Re: [PWE3]
draft-mohan-pwe3-mpls-eth-oam-iwk-00.txt as WG
	
	------Original Message Truncated------
	
	---
	Dinesh